---
sidebar_position: 3
description: Return child blocks and other functions to work with Notion in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Notion]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Return child blocks
 Returns list of child blocks of parent block



`Function ReturnChildBlocks(Val Token, Val BlockID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | BlockID | --block | String | &#x2714; | Parent block ID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Notion



```bsl title="1C:Enterprise/OneScript code example"
    Token = "secret_9RsfMrRMqZwqp0Zl0B...";
    Block = "2c582aa7-fc4e-8108-87cc-fe6338c03fca";

    Result = OPI_Notion.ReturnChildBlocks(Token, Block);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint notion ReturnChildBlocks \
             --token "***" \
             --block "2c582aa7-fc4e-8153-8786-f20303320755"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint notion ReturnChildBlocks ^
             --token "***" ^
             --block "2c582aa7-fc4e-8153-8786-f20303320755"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "object": "list",
 "results": [],
 "next_cursor": null,
 "has_more": false,
 "type": "block",
 "block": {},
 "request_id": "61d924fe-c8af-4fa5-a04b-111e473c06f9"
}
```
